summaryrefslogtreecommitdiff
path: root/dmake
diff options
context:
space:
mode:
authorIvo Hinkelmann <ihi@openoffice.org>2007-10-15 14:51:18 +0000
committerIvo Hinkelmann <ihi@openoffice.org>2007-10-15 14:51:18 +0000
commit451cdf82cf8f55901cdbd5262a9a4d3c32bdf715 (patch)
treec475710d2e84b0018cef925b9eed5e2d281ec60e /dmake
parentba15debd7468ce4c84b666790fb0cbfe5f324df3 (diff)
INTEGRATION: CWS dmake411 (1.1.2); FILE ADDED
2007/08/04 04:15:37 vq 1.1.2.1: #i80144# Add testcases.
Diffstat (limited to 'dmake')
-rwxr-xr-xdmake/tests/targets-2356
1 files changed, 56 insertions, 0 deletions
diff --git a/dmake/tests/targets-23 b/dmake/tests/targets-23
new file mode 100755
index 000000000000..ee670d496b34
--- /dev/null
+++ b/dmake/tests/targets-23
@@ -0,0 +1,56 @@
+#!/bin/sh
+
+# 03.08.2007 Volker Quetschke
+# Check that a %-target without prereq has precedence over one with
+# prerequisite.
+# (issue 80144)
+
+: ${DMAKEPROG:=dmake}
+file1="mfile1.mk"
+file2="aaa.aaa"
+tmpfiles="$file1 $file2"
+
+trap '{ echo "trapped signal - removing temporary files" ; rm -rf $tmpfiles ; }' 1 2 3 15
+
+# Remove files from prior failed run
+rm -rf $tmpfiles
+
+# Create test environment
+touch aaa.aaa
+
+# Remember to quote variables in generated makefiles( $ -> \$ ).
+cat > $file1 <<EOT
+SHELL*:=/bin/sh
+SHELLFLAGS*:=-ce
+
+.REMOVE : ; @echo remove \$<
+
+%.a : %.b
+ @echo Wrong choice - $@
+
+%.a :
+ @echo Right choice
+
+all : xx.a
+ @noop all
+
+EOT
+
+output1=`eval ${DMAKEPROG} -rf $file1 2>&1 `
+result1=$?
+
+if test "$output1" != "Right choice"; then
+ echo "Wrong result: $output1"
+ result1=1
+else
+ echo "OK"
+fi
+
+if test $result1 -eq 0 ; then
+ echo "Success - Cleaning up"
+ rm -rf $tmpfiles
+ exit
+else
+ echo "Failure!"
+ exit 1
+fi